org.apache.ignite.internal.managers.communication

## Enum TransmissionPolicy

- java.lang.Object
- - java.lang.Enum<TransmissionPolicy>
  - - org.apache.ignite.internal.managers.communication.TransmissionPolicy

All Implemented Interfaces:
  Serializable, Comparable<TransmissionPolicy>

    public enum TransmissionPolicy
    extends Enum<TransmissionPolicy>

Class represents ways of data handling for a file ready to be sent through an opened transmission sender session. It is necessary to choose which type of handler will be used and how file should be handled prior to sending file to the remote node.

See Also:
  `GridIoManager.TransmissionSender`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHUNK` A file which is considered to be sent through `GridIoManager.TransmissionSender`s session will use the `TransmissionHandler.chunkHandler(UUID, TransmissionMeta)` of `TransmissionHandler` to handle transmitted binary data.
`FILE` A file which is considered to be sent through `GridIoManager.TransmissionSender`s session will use the `TransmissionHandler.fileHandler(UUID, TransmissionMeta)` of `TransmissionHandler` to handle transmitted binary data.

### Method Summary

All Methods Static Methods Concrete Methods
`static TransmissionPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransmissionPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILE

    public static final TransmissionPolicy FILE

A file which is considered to be sent through `GridIoManager.TransmissionSender`s session will use the `TransmissionHandler.fileHandler(UUID, TransmissionMeta)` of `TransmissionHandler` to handle transmitted binary data.

#### CHUNK

    public static final TransmissionPolicy CHUNK

A file which is considered to be sent through `GridIoManager.TransmissionSender`s session will use the `TransmissionHandler.chunkHandler(UUID, TransmissionMeta)` of `TransmissionHandler` to handle transmitted binary data. This file will be processed by chunks of handlers defined size.

### Method Detail

#### values

    public static TransmissionPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransmissionPolicy c : TransmissionPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransmissionPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022